Subject: bug#19634: counting MANY function args more reliably

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Jan 2015 18:31:21 +0200

> From: Stefan Monnier <[email-masked]>
> Date: Tue, 20 Jan 2015 11:37:39 -0500
> Cc: [email-masked]
> 
> > #define CALLN(f, ...) CALLMANY (f, ((Lisp_Object []) {__VA_ARGS__}))
> 
> I like that,

Do we want to use this for every call to a function that accepts MANY
args, or just those where the argument is an array?

I'm asking because the proposed patch left out this part of w32fns.c:

  static Lisp_Object
  x_create_tip_frame (struct w32_display_info *dpyinfo,
		      Lisp_Object parms, Lisp_Object text)
  {
    [...]
    Ferase_buffer ();
    Finsert (1, &text);  <<<<<<<<<<<<<<<<<<<<<<

and I'm not sure whether this was just an omission or this kind of
calls doesn't need to use CALLN.